PageRenderTime 36ms CodeModel.GetById 1ms app.highlight 29ms RepoModel.GetById 2ms app.codeStats 0ms

/contrib/ntp/arlib/Makefile.in

https://bitbucket.org/freebsd/freebsd-head/
Autoconf | 580 lines | 490 code | 69 blank | 21 comment | 96 complexity | 113d4c98a0b9d56e0df894192137b059 MD5 | raw file
  1# Makefile.in generated by automake 1.11 from Makefile.am.
  2# @configure_input@
  3
  4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
  6# Inc.
  7# This Makefile.in is free software; the Free Software Foundation
  8# gives unlimited permission to copy and/or distribute it,
  9# with or without modifications, as long as this notice is preserved.
 10
 11# This program is distributed in the hope that it will be useful,
 12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
 13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 14# PARTICULAR PURPOSE.
 15
 16@SET_MAKE@
 17
 18
 19
 20VPATH = @srcdir@
 21pkgdatadir = $(datadir)/@PACKAGE@
 22pkgincludedir = $(includedir)/@PACKAGE@
 23pkglibdir = $(libdir)/@PACKAGE@
 24pkglibexecdir = $(libexecdir)/@PACKAGE@
 25am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 26install_sh_DATA = $(install_sh) -c -m 644
 27install_sh_PROGRAM = $(install_sh) -c
 28install_sh_SCRIPT = $(install_sh) -c
 29INSTALL_HEADER = $(INSTALL_DATA)
 30transform = $(program_transform_name)
 31NORMAL_INSTALL = :
 32PRE_INSTALL = :
 33POST_INSTALL = :
 34NORMAL_UNINSTALL = :
 35PRE_UNINSTALL = :
 36POST_UNINSTALL = :
 37noinst_PROGRAMS = example$(EXEEXT)
 38subdir = .
 39DIST_COMMON = README $(am__configure_deps) $(noinst_HEADERS) \
 40	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
 41	$(top_srcdir)/configure COPYING INSTALL depcomp install-sh \
 42	missing
 43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 44am__aclocal_m4_deps = $(top_srcdir)/configure.in
 45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 46	$(ACLOCAL_M4)
 47am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 48 configure.lineno config.status.lineno
 49mkinstalldirs = $(install_sh) -d
 50CONFIG_CLEAN_FILES =
 51CONFIG_CLEAN_VPATH_FILES =
 52LIBRARIES = $(noinst_LIBRARIES)
 53AR = ar
 54ARFLAGS = cru
 55libares_a_AR = $(AR) $(ARFLAGS)
 56libares_a_LIBADD =
 57am_libares_a_OBJECTS = arlib.$(OBJEXT)
 58libares_a_OBJECTS = $(am_libares_a_OBJECTS)
 59PROGRAMS = $(noinst_PROGRAMS)
 60am_example_OBJECTS = sample.$(OBJEXT)
 61example_OBJECTS = $(am_example_OBJECTS)
 62example_DEPENDENCIES = libares.a
 63DEFAULT_INCLUDES = -I.@am__isrc@
 64depcomp = $(SHELL) $(top_srcdir)/depcomp
 65am__depfiles_maybe = depfiles
 66am__mv = mv -f
 67COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 68	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 69CCLD = $(CC)
 70LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
 71SOURCES = $(libares_a_SOURCES) $(example_SOURCES)
 72DIST_SOURCES = $(libares_a_SOURCES) $(example_SOURCES)
 73HEADERS = $(noinst_HEADERS)
 74ETAGS = etags
 75CTAGS = ctags
 76DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 77distdir = $(PACKAGE)-$(VERSION)
 78top_distdir = $(distdir)
 79am__remove_distdir = \
 80  { test ! -d "$(distdir)" \
 81    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
 82         && rm -fr "$(distdir)"; }; }
 83DIST_ARCHIVES = $(distdir).tar.gz
 84GZIP_ENV = --best
 85distuninstallcheck_listfiles = find . -type f -print
 86distcleancheck_listfiles = find . -type f -print
 87ACLOCAL = @ACLOCAL@
 88AMTAR = @AMTAR@
 89AUTOCONF = @AUTOCONF@
 90AUTOHEADER = @AUTOHEADER@
 91AUTOMAKE = @AUTOMAKE@
 92AWK = @AWK@
 93CC = @CC@
 94CCDEPMODE = @CCDEPMODE@
 95CFLAGS = @CFLAGS@
 96CPPFLAGS = @CPPFLAGS@
 97CYGPATH_W = @CYGPATH_W@
 98DEFS = @DEFS@
 99DEPDIR = @DEPDIR@
100ECHO_C = @ECHO_C@
101ECHO_N = @ECHO_N@
102ECHO_T = @ECHO_T@
103EXEEXT = @EXEEXT@
104INSTALL = @INSTALL@
105INSTALL_DATA = @INSTALL_DATA@
106INSTALL_PROGRAM = @INSTALL_PROGRAM@
107INSTALL_SCRIPT = @INSTALL_SCRIPT@
108INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
109LDFLAGS = @LDFLAGS@
110LIBOBJS = @LIBOBJS@
111LIBS = @LIBS@
112LTLIBOBJS = @LTLIBOBJS@
113MAKEINFO = @MAKEINFO@
114MKDIR_P = @MKDIR_P@
115OBJEXT = @OBJEXT@
116PACKAGE = @PACKAGE@
117PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
118PACKAGE_NAME = @PACKAGE_NAME@
119PACKAGE_STRING = @PACKAGE_STRING@
120PACKAGE_TARNAME = @PACKAGE_TARNAME@
121PACKAGE_URL = @PACKAGE_URL@
122PACKAGE_VERSION = @PACKAGE_VERSION@
123PATH_SEPARATOR = @PATH_SEPARATOR@
124RANLIB = @RANLIB@
125SET_MAKE = @SET_MAKE@
126SHELL = @SHELL@
127STRIP = @STRIP@
128VERSION = @VERSION@
129abs_builddir = @abs_builddir@
130abs_srcdir = @abs_srcdir@
131abs_top_builddir = @abs_top_builddir@
132abs_top_srcdir = @abs_top_srcdir@
133ac_ct_CC = @ac_ct_CC@
134am__include = @am__include@
135am__leading_dot = @am__leading_dot@
136am__quote = @am__quote@
137am__tar = @am__tar@
138am__untar = @am__untar@
139bindir = @bindir@
140build_alias = @build_alias@
141builddir = @builddir@
142datadir = @datadir@
143datarootdir = @datarootdir@
144docdir = @docdir@
145dvidir = @dvidir@
146exec_prefix = @exec_prefix@
147host_alias = @host_alias@
148htmldir = @htmldir@
149includedir = @includedir@
150infodir = @infodir@
151install_sh = @install_sh@
152libdir = @libdir@
153libexecdir = @libexecdir@
154localedir = @localedir@
155localstatedir = @localstatedir@
156mandir = @mandir@
157mkdir_p = @mkdir_p@
158oldincludedir = @oldincludedir@
159pdfdir = @pdfdir@
160prefix = @prefix@
161program_transform_name = @program_transform_name@
162psdir = @psdir@
163sbindir = @sbindir@
164sharedstatedir = @sharedstatedir@
165srcdir = @srcdir@
166sysconfdir = @sysconfdir@
167target_alias = @target_alias@
168top_build_prefix = @top_build_prefix@
169top_builddir = @top_builddir@
170top_srcdir = @top_srcdir@
171AUTOMAKE_OPTIONS = foreign # ansi2knr
172
173#lib_LIBRARIES = libares.a
174noinst_LIBRARIES = libares.a
175libares_a_SOURCES = arlib.c arplib.h
176#include_HEADERS = arlib.h
177noinst_HEADERS = arlib.h
178example_SOURCES = sample.c
179example_LDADD = libares.a
180#man_MANS = arlib.3
181#EXTRA_DIST = $(man_MANS) UNSHAR.HDR
182noinst_MANS = arlib.3
183EXTRA_DIST = $(noinst_MANS) UNSHAR.HDR
184all: all-am
185
186.SUFFIXES:
187.SUFFIXES: .c .o .obj
188am--refresh:
189	@:
190$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
191	@for dep in $?; do \
192	  case '$(am__configure_deps)' in \
193	    *$$dep*) \
194	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
195	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
196		&& exit 0; \
197	      exit 1;; \
198	  esac; \
199	done; \
200	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
201	$(am__cd) $(top_srcdir) && \
202	  $(AUTOMAKE) --foreign Makefile
203.PRECIOUS: Makefile
204Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
205	@case '$?' in \
206	  *config.status*) \
207	    echo ' $(SHELL) ./config.status'; \
208	    $(SHELL) ./config.status;; \
209	  *) \
210	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
211	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
212	esac;
213
214$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
215	$(SHELL) ./config.status --recheck
216
217$(top_srcdir)/configure:  $(am__configure_deps)
218	$(am__cd) $(srcdir) && $(AUTOCONF)
219$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
220	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
221$(am__aclocal_m4_deps):
222
223clean-noinstLIBRARIES:
224	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
225libares.a: $(libares_a_OBJECTS) $(libares_a_DEPENDENCIES) 
226	-rm -f libares.a
227	$(libares_a_AR) libares.a $(libares_a_OBJECTS) $(libares_a_LIBADD)
228	$(RANLIB) libares.a
229
230clean-noinstPROGRAMS:
231	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
232example$(EXEEXT): $(example_OBJECTS) $(example_DEPENDENCIES) 
233	@rm -f example$(EXEEXT)
234	$(LINK) $(example_OBJECTS) $(example_LDADD) $(LIBS)
235
236mostlyclean-compile:
237	-rm -f *.$(OBJEXT)
238
239distclean-compile:
240	-rm -f *.tab.c
241
242@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arlib.Po@am__quote@
243@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sample.Po@am__quote@
244
245.c.o:
246@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
247@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
248@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
249@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
250@am__fastdepCC_FALSE@	$(COMPILE) -c $<
251
252.c.obj:
253@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
254@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
255@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
256@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
257@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
258
259ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
260	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
261	unique=`for i in $$list; do \
262	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
263	  done | \
264	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
265	      END { if (nonempty) { for (i in files) print i; }; }'`; \
266	mkid -fID $$unique
267tags: TAGS
268
269TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
270		$(TAGS_FILES) $(LISP)
271	set x; \
272	here=`pwd`; \
273	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
274	unique=`for i in $$list; do \
275	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
276	  done | \
277	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
278	      END { if (nonempty) { for (i in files) print i; }; }'`; \
279	shift; \
280	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
281	  test -n "$$unique" || unique=$$empty_fix; \
282	  if test $$# -gt 0; then \
283	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
284	      "$$@" $$unique; \
285	  else \
286	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
287	      $$unique; \
288	  fi; \
289	fi
290ctags: CTAGS
291CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
292		$(TAGS_FILES) $(LISP)
293	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
294	unique=`for i in $$list; do \
295	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
296	  done | \
297	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
298	      END { if (nonempty) { for (i in files) print i; }; }'`; \
299	test -z "$(CTAGS_ARGS)$$unique" \
300	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
301	     $$unique
302
303GTAGS:
304	here=`$(am__cd) $(top_builddir) && pwd` \
305	  && $(am__cd) $(top_srcdir) \
306	  && gtags -i $(GTAGS_ARGS) "$$here"
307
308distclean-tags:
309	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
310
311distdir: $(DISTFILES)
312	$(am__remove_distdir)
313	test -d "$(distdir)" || mkdir "$(distdir)"
314	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
315	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
316	list='$(DISTFILES)'; \
317	  dist_files=`for file in $$list; do echo $$file; done | \
318	  sed -e "s|^$$srcdirstrip/||;t" \
319	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
320	case $$dist_files in \
321	  */*) $(MKDIR_P) `echo "$$dist_files" | \
322			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
323			   sort -u` ;; \
324	esac; \
325	for file in $$dist_files; do \
326	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
327	  if test -d $$d/$$file; then \
328	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
329	    if test -d "$(distdir)/$$file"; then \
330	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
331	    fi; \
332	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
333	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
334	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
335	    fi; \
336	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
337	  else \
338	    test -f "$(distdir)/$$file" \
339	    || cp -p $$d/$$file "$(distdir)/$$file" \
340	    || exit 1; \
341	  fi; \
342	done
343	-test -n "$(am__skip_mode_fix)" \
344	|| find "$(distdir)" -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
345	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
346	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
347	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
348	|| chmod -R a+r "$(distdir)"
349dist-gzip: distdir
350	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
351	$(am__remove_distdir)
352
353dist-bzip2: distdir
354	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
355	$(am__remove_distdir)
356
357dist-lzma: distdir
358	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
359	$(am__remove_distdir)
360
361dist-xz: distdir
362	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
363	$(am__remove_distdir)
364
365dist-tarZ: distdir
366	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
367	$(am__remove_distdir)
368
369dist-shar: distdir
370	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
371	$(am__remove_distdir)
372
373dist-zip: distdir
374	-rm -f $(distdir).zip
375	zip -rq $(distdir).zip $(distdir)
376	$(am__remove_distdir)
377
378dist dist-all: distdir
379	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
380	$(am__remove_distdir)
381
382# This target untars the dist file and tries a VPATH configuration.  Then
383# it guarantees that the distribution is self-contained by making another
384# tarfile.
385distcheck: dist
386	case '$(DIST_ARCHIVES)' in \
387	*.tar.gz*) \
388	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
389	*.tar.bz2*) \
390	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
391	*.tar.lzma*) \
392	  unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
393	*.tar.xz*) \
394	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
395	*.tar.Z*) \
396	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
397	*.shar.gz*) \
398	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
399	*.zip*) \
400	  unzip $(distdir).zip ;;\
401	esac
402	chmod -R a-w $(distdir); chmod a+w $(distdir)
403	mkdir $(distdir)/_build
404	mkdir $(distdir)/_inst
405	chmod a-w $(distdir)
406	test -d $(distdir)/_build || exit 0; \
407	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
408	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
409	  && am__cwd=`pwd` \
410	  && $(am__cd) $(distdir)/_build \
411	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
412	    $(DISTCHECK_CONFIGURE_FLAGS) \
413	  && $(MAKE) $(AM_MAKEFLAGS) \
414	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
415	  && $(MAKE) $(AM_MAKEFLAGS) check \
416	  && $(MAKE) $(AM_MAKEFLAGS) install \
417	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
418	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
419	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
420	        distuninstallcheck \
421	  && chmod -R a-w "$$dc_install_base" \
422	  && ({ \
423	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
424	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
425	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
426	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
427	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
428	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
429	  && rm -rf "$$dc_destdir" \
430	  && $(MAKE) $(AM_MAKEFLAGS) dist \
431	  && rm -rf $(DIST_ARCHIVES) \
432	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
433	  && cd "$$am__cwd" \
434	  || exit 1
435	$(am__remove_distdir)
436	@(echo "$(distdir) archives ready for distribution: "; \
437	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
438	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
439distuninstallcheck:
440	@$(am__cd) '$(distuninstallcheck_dir)' \
441	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
442	   || { echo "ERROR: files left after uninstall:" ; \
443	        if test -n "$(DESTDIR)"; then \
444	          echo "  (check DESTDIR support)"; \
445	        fi ; \
446	        $(distuninstallcheck_listfiles) ; \
447	        exit 1; } >&2
448distcleancheck: distclean
449	@if test '$(srcdir)' = . ; then \
450	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
451	  exit 1 ; \
452	fi
453	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
454	  || { echo "ERROR: files left in build directory after distclean:" ; \
455	       $(distcleancheck_listfiles) ; \
456	       exit 1; } >&2
457check-am: all-am
458check: check-am
459all-am: Makefile $(LIBRARIES) $(PROGRAMS) $(HEADERS)
460installdirs:
461install: install-am
462install-exec: install-exec-am
463install-data: install-data-am
464uninstall: uninstall-am
465
466install-am: all-am
467	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
468
469installcheck: installcheck-am
470install-strip:
471	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
472	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
473	  `test -z '$(STRIP)' || \
474	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
475mostlyclean-generic:
476
477clean-generic:
478
479distclean-generic:
480	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
481	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
482
483maintainer-clean-generic:
484	@echo "This command is intended for maintainers to use"
485	@echo "it deletes files that may require special tools to rebuild."
486clean: clean-am
487
488clean-am: clean-generic clean-noinstLIBRARIES clean-noinstPROGRAMS \
489	mostlyclean-am
490
491distclean: distclean-am
492	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
493	-rm -rf ./$(DEPDIR)
494	-rm -f Makefile
495distclean-am: clean-am distclean-compile distclean-generic \
496	distclean-tags
497
498dvi: dvi-am
499
500dvi-am:
501
502html: html-am
503
504html-am:
505
506info: info-am
507
508info-am:
509
510install-data-am:
511
512install-dvi: install-dvi-am
513
514install-dvi-am:
515
516install-exec-am:
517
518install-html: install-html-am
519
520install-html-am:
521
522install-info: install-info-am
523
524install-info-am:
525
526install-man:
527
528install-pdf: install-pdf-am
529
530install-pdf-am:
531
532install-ps: install-ps-am
533
534install-ps-am:
535
536installcheck-am:
537
538maintainer-clean: maintainer-clean-am
539	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
540	-rm -rf $(top_srcdir)/autom4te.cache
541	-rm -rf ./$(DEPDIR)
542	-rm -f Makefile
543maintainer-clean-am: distclean-am maintainer-clean-generic
544
545mostlyclean: mostlyclean-am
546
547mostlyclean-am: mostlyclean-compile mostlyclean-generic
548
549pdf: pdf-am
550
551pdf-am:
552
553ps: ps-am
554
555ps-am:
556
557uninstall-am:
558
559.MAKE: install-am install-strip
560
561.PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
562	clean-generic clean-noinstLIBRARIES clean-noinstPROGRAMS ctags \
563	dist dist-all dist-bzip2 dist-gzip dist-lzma dist-shar \
564	dist-tarZ dist-xz dist-zip distcheck distclean \
565	distclean-compile distclean-generic distclean-tags \
566	distcleancheck distdir distuninstallcheck dvi dvi-am html \
567	html-am info info-am install install-am install-data \
568	install-data-am install-dvi install-dvi-am install-exec \
569	install-exec-am install-html install-html-am install-info \
570	install-info-am install-man install-pdf install-pdf-am \
571	install-ps install-ps-am install-strip installcheck \
572	installcheck-am installdirs maintainer-clean \
573	maintainer-clean-generic mostlyclean mostlyclean-compile \
574	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
575	uninstall-am
576
577
578# Tell versions [3.59,3.63) of GNU make to not export all variables.
579# Otherwise a system limit (for SysV at least) may be exceeded.
580.NOEXPORT: